Loading...
Searching...
No Matches
basix::maps Namespace Reference

Information about finite element maps. More...

## Enumerations

enum class | type { identity = 0 , L2Piola = 1 , covariantPiola = 2 , contravariantPiola = 3 , doubleCovariantPiola = 4 , doubleContravariantPiola = 5 }
| Map type.

## Functions

template<typename O, typename P, typename Q, typename R>
void | l2_piola (O &&r, const P &U, const Q &, double detJ, const R &)
| L2 Piola map.
template<typename O, typename P, typename Q, typename R>
void | covariant_piola (O &&r, const P &U, const Q &, double, const R &K)
| Covariant Piola map.
template<typename O, typename P, typename Q, typename R>
void | contravariant_piola (O &&r, const P &U, const Q &J, double detJ, const R &)
| Contravariant Piola map.
template<typename O, typename P, typename Q, typename R>
void | double_covariant_piola (O &&r, const P &U, const Q &, double, const R &K)
| Double covariant Piola map.
template<typename O, typename P, typename Q, typename R>
void | double_contravariant_piola (O &&r, const P &U, const Q &J, double detJ, const R &)
| Double contravariant Piola map.

## Detailed Description

Information about finite element maps.